"use strict";

test();
function test () {
    if (!Mimicry) {
        log("Mimicry class was not loaded");
        return;
    }

    log("Mimicry class is loaded");
    log("Mimicry ready: " + Mimicry.ready);

    let mimicry;
    try {
        mimicry = new Mimicry();
        window.mimicry = mimicry;
        log("Mimicry was successfully instantiated");
    } catch (e) {
        log("Error instantiating Mimicry");
        return;
    }

    try {
        mimicry.module(["module"], function (global, [module]) {
            log("Mimicry empty module successfully resolved");
            log("The background now is supposed to be bluish if you're testing in browser")
            if (module === true)
                log("Value returned from additional module is correct");
            else
                log("Value returned from additional module is \"" + module + "\", which is incorrect");
        });
        log("Successfully launched Mimicry empty module");
    } catch (e) {
        log("Error launching Mimicry empty module");
        //return;
    }
}

function log (message) {
    const node = document.createTextNode(message);
    const br = document.createElement("br");
    document.body.appendChild(node);
    document.body.appendChild(br);
}